/* 
 * Copyright (C) 2004-2005 Jonathan Bindel, jonathanbindel@gmail.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

using System.Xml.Serialization;

namespace DCSharp.Xml.FileList
{
	public class File
	{
		public File(string name, long size, string tth)
		{
			this.name = name;
			this.size = size;
			this.tth = tth;
		}
		
		public File()
		{
		}
		
		#region Properties

		private string name;

		[XmlAttribute()]
		public string Name
		{
			get
			{
				return name;
			}
			set
			{
				name = value;
			}
		}

		private long size;

		[XmlAttribute()]
		public long Size
		{
			get
			{
				return size;
			}
			set
			{
				size = value;
			}
		}

		private string tth;

		[XmlAttribute()]
		public string TTH
		{
			get
			{
				return tth;
			}
			set
			{
				tth = value;
			}
		}

		#endregion
	}
}
